<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FormulaParsingWorkbook (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FormulaParsingWorkbook (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaParsingWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaParser.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaRenderer.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/FormulaParsingWorkbook.html" target="_top">Frames</a>
        </li>
        <li><a href="FormulaParsingWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Interface FormulaParsingWorkbook" class="title">Interface FormulaParsingWorkbook</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
                           title="class in org.apache.poi.xssf.usermodel">BaseXSSFEvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFEvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.xssf.streaming">SXSSFEvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFEvaluationWorkbook</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">FormulaParsingWorkbook</span></pre>
                <div class="block">Abstracts a workbook for the purpose of formula parsing.<br>

                    For POI internal use only
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                        title="interface in org.apache.poi.ss.usermodel">Name</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#createName--">createName</a></span>()</code>
                                    <div class="block">Return the underlying workbook</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;area,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Produce the appropriate Ptg for a 3d area reference</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Produce the appropriate Ptg for a 3d cell reference</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-">getExternalSheetIndex</a></span>(java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">gets the externSheet index for a sheet from this workbook</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">getExternalSheetIndex</a></span>(java.lang.String&nbsp;workbookName,
                                    java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">gets the externSheet index for a sheet from an external
                                        workbook
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getName-java.lang.String-int-">getName</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;sheetIndex)</code>
                                    <div class="block">named range name matching is case insensitive</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">getNameXPtg</a></span>(java.lang.String&nbsp;name,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Return an external name (named range, function, user-defined
                                        function) Ptg
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                    <div class="block">Returns an enum holding spreadhseet properties specific to an
                                        Excel version (
                                        max column and row numbers, max arguments to a function, etc.)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getTable-java.lang.String-">getTable</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">XSSF Only - gets a table that exists in the worksheet</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getName-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a>&nbsp;getName(java.lang.String&nbsp;name,
                       int&nbsp;sheetIndex)</pre>
                                <div class="block">named range name matching is case insensitive</div>
                            </li>
                        </ul>
                        <a name="createName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createName</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                        title="interface in org.apache.poi.ss.usermodel">Name</a>&nbsp;createName()</pre>
                                <div class="block">Return the underlying workbook</div>
                            </li>
                        </ul>
                        <a name="getTable-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;getTable(java.lang.String&nbsp;name)</pre>
                                <div class="block">XSSF Only - gets a table that exists in the worksheet</div>
                            </li>
                        </ul>
                        <a name="getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameXPtg</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;getNameXPtg(java.lang.String&nbsp;name,
                <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                   title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block">Return an external name (named range, function, user-defined
                                    function) Ptg
                                </div>
                            </li>
                        </ul>
                        <a name="get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get3DReferencePtg</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;get3DReferencePtg(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell,
                      <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                         title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block">Produce the appropriate Ptg for a 3d cell reference</div>
                            </li>
                        </ul>
                        <a name="get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get3DReferencePtg</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;get3DReferencePtg(<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;area,
                      <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                         title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block">Produce the appropriate Ptg for a 3d area reference</div>
                            </li>
                        </ul>
                        <a name="getExternalSheetIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheetIndex</h4>
                                <pre>int&nbsp;getExternalSheetIndex(java.lang.String&nbsp;sheetName)</pre>
                                <div class="block">gets the externSheet index for a sheet from this workbook</div>
                            </li>
                        </ul>
                        <a name="getExternalSheetIndex-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheetIndex</h4>
                                <pre>int&nbsp;getExternalSheetIndex(java.lang.String&nbsp;workbookName,
                          java.lang.String&nbsp;sheetName)</pre>
                                <div class="block">gets the externSheet index for a sheet from an external workbook
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>workbookName</code> - e.g. "Budget.xls"</dd>
                                    <dd><code>sheetName</code> - a name of a sheet in that workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSpreadsheetVersion--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getSpreadsheetVersion</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;getSpreadsheetVersion()</pre>
                                <div class="block">Returns an enum holding spreadhseet properties specific to an Excel
                                    version (
                                    max column and row numbers, max arguments to a function, etc.)
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaParsingWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaParser.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaRenderer.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/FormulaParsingWorkbook.html" target="_top">Frames</a>
        </li>
        <li><a href="FormulaParsingWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
